VTK: vtkODBCQuery Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
vtkODBCQuery Class Reference

vtkSQLQuery implementation for ODBC connections to databases More...

`#include <vtkODBCQuery.h>`

Inheritance diagram for vtkODBCQuery:
[legend]
Collaboration diagram for vtkODBCQuery:
[legend]

## Public Types
typedef vtkSQLQuery | Superclass
Public Types inherited from vtkSQLQuery
typedef vtkRowQuery | Superclass
Public Types inherited from vtkRowQuery
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkODBCQuery * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
bool | Execute () override
| Execute the query. More...
int | GetNumberOfFields () override
| The number of fields in the query result. More...
const char * | GetFieldName (int i) override
| Return the name of the specified query field. More...
int | GetFieldType (int i) override
| Return the type of the field, using the constants defined in vtkType.h. More...
bool | NextRow () override
| Advance row, return false if past end. More...
bool | HasError () override
| Return true if there is an error on the current query. More...
vtkVariant | DataValue (vtkIdType c) override
| Return data in current row, field c. More...
const char * | GetLastErrorText () override
| Get the last error text from the query. More...
bool | BindParameter (int index, unsigned char value) override
| Bind a parameter to a placeholder in a query. More...
bool | BindParameter (int index, signed char value) override
bool | BindParameter (int index, unsigned short value) override
bool | BindParameter (int index, signed short value) override
bool | BindParameter (int index, unsigned int value) override
bool | BindParameter (int index, int value) override
bool | BindParameter (int index, unsigned long value) override
bool | BindParameter (int index, signed long value) override
bool | BindParameter (int index, unsigned long long value) override
bool | BindParameter (int index, long long value) override
bool | BindParameter (int index, float value) override
bool | BindParameter (int index, double value) override
bool | BindParameter (int index, const char *stringValue) override
| Bind a string value – string must be null-terminated. More...
virtual bool | BindParameter (int index, unsigned char value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, unsigned short value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, unsigned int value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, unsigned long value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, signed char value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, short value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, int value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, long value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, unsigned long long value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, long long value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, float value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, double value)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, const char *stringValue)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, const char *stringValue, size_t length)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, const vtkStdString &string)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, vtkVariant var)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
virtual bool | BindParameter (int index, const void *data, size_t length)
| The following methods bind a parameter value to a placeholder in the SQL string. More...
bool | BeginTransaction () override
| Begin, commit, or roll back a transaction. More...
bool | CommitTransaction () override
| Begin, commit, or roll back a transaction. More...
bool | RollbackTransaction () override
| Begin, commit, or roll back a transaction. More...
bool | SetQuery (const char *queryString) override
| Set the query string to be used. More...
const char * | GetQuery () override
| Set the query string to be used. More...
bool | BindParameter (int index, const char *stringValue, size_t length) override
| Bind a string value by specifying an array and a size. More...
bool | BindParameter (int index, const vtkStdString &string) override
| Bind a string value by specifying an array and a size. More...
bool | BindParameter (int index, const void *data, size_t length) override
| Bind a blob value. More...
bool | ClearParameterBindings () override
| Bind a blob value. More...
Public Member Functions inherited from vtkSQLQuery
vtkSQLQuery * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
bool | IsActive () override
| Return true if the query is active (i.e. More...
virtual bool | BindParameter (int index, short value)
virtual bool | BindParameter (int index, long value)
virtual bool | BindParameter (int index, vtkVariant var)
virtual vtkStdString | EscapeString (vtkStdString s, bool addSurroundingQuotes=true)
| Escape a string for inclusion into an SQL query. More...
char * | EscapeString (const char *src, bool addSurroundingQuotes)
| Escape a string for inclusion into an SQL query. More...
virtual vtkSQLDatabase * | GetDatabase ()
| Return the database associated with the query. More...
Public Member Functions inherited from vtkRowQuery
vtkRowQuery * | NewInstance () const
int | GetFieldIndex (const char *name)
| Return the index of the specified query field. More...
bool | NextRow (vtkVariantArray *rowArray)
| Advance row, return false if past end. More...
virtual void | SetCaseSensitiveFieldNames (bool)
| Many databases do not preserve case in field names. More...
virtual bool | GetCaseSensitiveFieldNames ()
| Many databases do not preserve case in field names. More...
virtual void | CaseSensitiveFieldNamesOn ()
| Many databases do not preserve case in field names. More...
virtual void | CaseSensitiveFieldNamesOff ()
| Many databases do not preserve case in field names. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTypeBool | IsTypeOf (const char *type)
static vtkODBCQuery * | SafeDownCast (vtkObjectBase *o)
static vtkODBCQuery * | New ()
Static Public Member Functions inherited from vtkSQLQuery
static vtkTypeBool | IsTypeOf (const char *type)
static vtkSQLQuery * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkRowQuery
static vtkTypeBool | IsTypeOf (const char *type)
static vtkRowQuery * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkODBCQuery ()
| ~vtkODBCQuery () override
virtual void | SetLastErrorText (const char *)
virtual void | SetQueryText (const char *)
virtual char * | GetQueryText ()
Protected Member Functions inherited from vtkSQLQuery
| vtkSQLQuery ()
| ~vtkSQLQuery () override
void | SetDatabase (vtkSQLDatabase *db)
| Set the database associated with the query. More...
Protected Member Functions inherited from vtkRowQuery
| vtkRowQuery ()
| ~vtkRowQuery () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
char * | QueryText
Protected Attributes inherited from vtkSQLQuery
char * | Query
vtkSQLDatabase * | Database
bool | Active
Protected Attributes inherited from vtkRowQuery
bool | CaseSensitiveFieldNames
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Friends
class | vtkODBCDatabase

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

vtkSQLQuery implementation for ODBC connections to databases

This is an implementation of vtkSQLQuery for ODBC databases. See the documentation for vtkSQLQuery and vtkRowQuery for information about what the methods do.

See also
  vtkSQLDatabase vtkSQLQuery vtkODBCDatabase

Definition at line 31 of file vtkODBCQuery.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkSQLQuery vtkODBCQuery::Superclass

Definition at line 37 of file vtkODBCQuery.h.

## Constructor & Destructor Documentation

## ◆ vtkODBCQuery()

vtkODBCQuery::vtkODBCQuery | ( |  | ) |
| protected

## ◆ ~vtkODBCQuery()

vtkODBCQuery::~vtkODBCQuery | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkODBCQuery::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkODBCQuery::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkSQLQuery.

## ◆ SafeDownCast()

static vtkODBCQuery* vtkODBCQuery::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkODBCQuery::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkSQLQuery.

## ◆ NewInstance()

vtkODBCQuery* vtkODBCQuery::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkODBCQuery::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ New()

static vtkODBCQuery* vtkODBCQuery::New | ( |  | ) |
| static

## ◆ Execute()

bool vtkODBCQuery::Execute | ( |  | ) |
| overridevirtual

Execute the query.

This must be performed before any field name or data access functions are used.

Implements vtkSQLQuery.

## ◆ GetNumberOfFields()

int vtkODBCQuery::GetNumberOfFields | ( |  | ) |
| overridevirtual

The number of fields in the query result.

Implements vtkRowQuery.

## ◆ GetFieldName()

const char* vtkODBCQuery::GetFieldName | ( | int | i | ) |
| overridevirtual

Return the name of the specified query field.

Implements vtkRowQuery.

## ◆ GetFieldType()

int vtkODBCQuery::GetFieldType | ( | int | i | ) |
| overridevirtual

Return the type of the field, using the constants defined in vtkType.h.

Implements vtkRowQuery.

## ◆ NextRow()

bool vtkODBCQuery::NextRow | ( |  | ) |
| overridevirtual

Advance row, return false if past end.

Implements vtkRowQuery.

## ◆ HasError()

bool vtkODBCQuery::HasError | ( |  | ) |
| overridevirtual

Return true if there is an error on the current query.

Implements vtkRowQuery.

## ◆ DataValue()

vtkVariant vtkODBCQuery::DataValue | ( | vtkIdType | c | ) |
| overridevirtual

Return data in current row, field c.

Implements vtkRowQuery.

## ◆ GetLastErrorText()

const char* vtkODBCQuery::GetLastErrorText | ( |  | ) |
| overridevirtual

Get the last error text from the query.

Implements vtkRowQuery.

## ◆ BeginTransaction()

bool vtkODBCQuery::BeginTransaction | ( |  | ) |
| overridevirtual

Begin, commit, or roll back a transaction.

Reimplemented from vtkSQLQuery.

## ◆ CommitTransaction()

bool vtkODBCQuery::CommitTransaction | ( |  | ) |
| overridevirtual

Begin, commit, or roll back a transaction.

Reimplemented from vtkSQLQuery.

## ◆ RollbackTransaction()

bool vtkODBCQuery::RollbackTransaction | ( |  | ) |
| overridevirtual

Begin, commit, or roll back a transaction.

Reimplemented from vtkSQLQuery.

## ◆ SetQuery()

bool vtkODBCQuery::SetQuery | ( | const char * | queryString | ) |
| overridevirtual

Set the query string to be used.

Returns true if the query is OK; false if there's some problem with it that can be detected before execution.

Reimplemented from vtkSQLQuery.

## ◆ GetQuery()

const char* vtkODBCQuery::GetQuery | ( |  | ) |
| overridevirtual

Set the query string to be used.

Returns true if the query is OK; false if there's some problem with it that can be detected before execution.

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [1/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | unsigned char | value
| ) |  |
| overridevirtual

Bind a parameter to a placeholder in a query.

A full discussion of this feature is beyond the scope of this header file, but in short, here's how it works:

Instead of saying "SELECT foo FROM mytable WHERE myfield = 12345" you can say "SELECT foo FROM mytable WHERE myfield = ?". The ? character is a placeholder for a parameter that must then be bound. Call BindParameter(0, 12345) to bind the integer value 12345 to that field. Placeholders are indexed starting at 0.

You are responsible for making sure that the types match when you call BindParameter. You don't have to get it precisely correct: in general, the SQL driver is smart enough to do things like cast a short to a long or a float to a double.

Bound parameters were introduced in ANSI SQL 92. Please see that standard for more information.

Most of these methods are excluded from wrapping because the Java wrapper treats all integer types from char up through 64-bit long as 'int'. This is incorrect behavior but what else am I going to do?

Finally, the default implementation for BindParameter(int, vtkVariant) dispatches to one of the more type-specific versions. It should be OK to use in database drivers without modification.

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [2/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | signed char | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [3/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | unsigned short | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [4/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | signed short | value
| ) |  |
| override

## ◆ BindParameter() [5/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | unsigned int | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [6/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | int | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [7/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | unsigned long | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [8/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | signed long | value
| ) |  |
| override

## ◆ BindParameter() [9/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | unsigned long long | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [10/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | long long | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [11/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | float | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [12/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | double | value
| ) |  |
| overridevirtual

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [13/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | const char * | stringValue
| ) |  |
| overridevirtual

Bind a string value – string must be null-terminated.

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [14/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | const char * | stringValue,
|  | size_t | length
| ) |  |
| overridevirtual

Bind a string value by specifying an array and a size.

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [15/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | const vtkStdString & | string
| ) |  |
| overridevirtual

Bind a string value by specifying an array and a size.

Reimplemented from vtkSQLQuery.

## ◆ BindParameter() [16/33]

bool vtkODBCQuery::BindParameter | ( | int | index,
|  | const void * | data,
|  | size_t | length
| ) |  |
| overridevirtual

Bind a blob value.

Not all databases support blobs as a data type. Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to make sure.

Reimplemented from vtkSQLQuery.

## ◆ ClearParameterBindings()

bool vtkODBCQuery::ClearParameterBindings | ( |  | ) |
| overridevirtual

Bind a blob value.

Not all databases support blobs as a data type. Check vtkSQLDatabase::IsSupported(VTK_SQL_FEATURE_BLOB) to make sure.

Reimplemented from vtkSQLQuery.

## ◆ SetLastErrorText()

virtual void vtkODBCQuery::SetLastErrorText | ( | const char * |  | ) |
| protectedvirtual

## ◆ SetQueryText()

virtual void vtkODBCQuery::SetQueryText | ( | const char * |  | ) |
| protectedvirtual

## ◆ GetQueryText()

virtual char* vtkODBCQuery::GetQueryText | ( |  | ) |
| protectedvirtual

## ◆ BindParameter() [17/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [18/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [19/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [20/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [21/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [22/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [23/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [24/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [25/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [26/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [27/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [28/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [29/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [30/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [31/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [32/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## ◆ BindParameter() [33/33]

virtual bool vtkSQLQuery::BindParameter

The following methods bind a parameter value to a placeholder in the SQL string.

See the documentation for vtkSQLQuery for further explanation. The driver makes internal copies of string and BLOB parameters so you don't need to worry about keeping them in scope until the query finishes executing.

## Friends And Related Function Documentation

## ◆ vtkODBCDatabase

friend class vtkODBCDatabase
| friend

Definition at line 34 of file vtkODBCQuery.h.

## Member Data Documentation

## ◆ QueryText

char* vtkODBCQuery::QueryText
| protected

Definition at line 155 of file vtkODBCQuery.h.

The documentation for this class was generated from the following file:

- IO/ODBC/vtkODBCQuery.h